net.i2p.router.web.helpers

## Class ConfigClientsHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.helpers.ConfigClientsHelper

-     public class ConfigClientsHelper
      extends HelperBase

  Helper for clients configuration page rendering and form processing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BIND_ALL_INTERFACES` from ClientListenerRunner
    `static String` | `PROP_AUTH` from ClientMessageEventListener
    `static String` | `PROP_DISABLE_EXTERNAL` from ClientManager
    `static String` | `PROP_ENABLE_CLIENT_CHANGE`
    `static String` | `PROP_ENABLE_PLUGIN_INSTALL`
    `static String` | `PROP_ENABLE_SSL`

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out, CHECKED, PROP_ADVANCED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigClientsHelper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuth()`
    `String` | `getForm1()` clients
    `String` | `getForm2()` webapps
    `String` | `getForm3()` plugins
    `String` | `getPort()`
    `String` | `i2cpModeChecked(int mode)`
    `String[]` | `intfcAddresses()`
    `boolean` | `isClientChangeEnabled()`
    `boolean` | `isIFSelected(String addr)`
    `boolean` | `isPluginInstallEnabled()`
    `boolean` | `isPluginUpdateEnabled()`
    `void` | `setEdit(String edit)`
    `boolean` | `showPlugins()`
    `static String` | `stripHTML(Properties props, String key)` Like in DataHelper but doesn't convert null to "" There's a lot worse things a plugin could do but...

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_t, _t, _t, _x, getChecked, getCheckedDefaultTrue, isAdvanced, ngettext, setContextId, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BIND_ALL_INTERFACES

          public static final String BIND_ALL_INTERFACES

      from ClientListenerRunner
      See Also:
        Constant Field Values

    - #### PROP_AUTH

          public static final String PROP_AUTH

      from ClientMessageEventListener
      See Also:
        Constant Field Values

    - #### PROP_DISABLE_EXTERNAL

          public static final String PROP_DISABLE_EXTERNAL

      from ClientManager
      See Also:
        Constant Field Values

    - #### PROP_ENABLE_CLIENT_CHANGE

          public static final String PROP_ENABLE_CLIENT_CHANGE

      See Also:
        Constant Field Values

    - #### PROP_ENABLE_PLUGIN_INSTALL

          public static final String PROP_ENABLE_PLUGIN_INSTALL

      See Also:
        Constant Field Values

    - #### PROP_ENABLE_SSL

          public static final String PROP_ENABLE_SSL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigClientsHelper

          public ConfigClientsHelper()

  - ### Method Detail

    - #### getAuth

          public String getAuth()

    - #### getForm1

          public String getForm1()

      clients

    - #### getForm2

          public String getForm2()

      webapps

    - #### getForm3

          public String getForm3()

      plugins

    - #### getPort

          public String getPort()

    - #### i2cpModeChecked

          public String i2cpModeChecked(int mode)

    - #### intfcAddresses

          public String[] intfcAddresses()

    - #### isClientChangeEnabled

          public boolean isClientChangeEnabled()

    - #### isIFSelected

          public boolean isIFSelected(String addr)

    - #### isPluginInstallEnabled

          public boolean isPluginInstallEnabled()

    - #### isPluginUpdateEnabled

          public boolean isPluginUpdateEnabled()

    - #### setEdit

          public void setEdit(String edit)

    - #### showPlugins

          public boolean showPlugins()

    - #### stripHTML

          public static String stripHTML(Properties props,
                                         String key)

      Like in DataHelper but doesn't convert null to "" There's a lot worse things a plugin could do but...